# BEGIN SourceDeps(oneline):
BuildRequires: perl(Acme/BloodType.pm) perl(Acme/MorningMusume.pm) perl(Acme/MorningMusume/Base.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(base.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Acme-MorningMusume-ShinMember
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Create random Morning Musume!
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JR/JROCKWAY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Creates a random morning musume member that's "based on" two random.parent members:

    use Acme::MorningMusume::ShinMember;

    my $member = Acme::MorningMusume::ShinMember->new;
    print "I created ". $member->name_en. "!\n";
    # etc..

The `$member' can then be used like any `Acme::MorningMusume::Base'
object.  See `bin/genmusume' for an example.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

